# Uses of Interface
java.lang.management.CompilationMXBean

Packages that use CompilationMXBean
Package
Description
java.lang.management
Provides the management interfaces for monitoring and management of the Java virtual machine and other components in the Java runtime.

## Uses of CompilationMXBean in java.lang.management

Methods in java.lang.management that return CompilationMXBean
Modifier and Type
Method
Description
`static CompilationMXBean`
ManagementFactory.`getCompilationMXBean()`
Returns the managed bean for the compilation system of the Java virtual machine.